Page MenuHomePhabricator

Add 'target-page' for edit-user-talk
Closed, ResolvedPublic

Description

This started happening every since we moved to the new layout of Echo which has two separate menus (one for messages, one for alerts). When I click on an item in the menu (such as what you see in the screenshot), I expect that that item is marked as read and the counter is reduced by 1. Neither of those happen though.

They do happen if I go to Special:Notifications and click from there.

Event Timeline

Huji created this task.Sep 13 2015, 5:41 PM
Huji raised the priority of this task from to Needs Triage.
Huji updated the task description. (Show Details)
Huji added a project: Notifications.
Huji added a subscriber: Huji.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 13 2015, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Huji updated the task description. (Show Details)Sep 13 2015, 5:41 PM
Huji set Security to None.

With which browser, which skin, which website does this happen?

Clicking the notification should take you to the actual message. Once that page with the message is loaded, the notification is marked as read.

Is that not happening?

Huji added a comment.Sep 13 2015, 10:24 PM

With which browser, which skin, which website does this happen?

With Firefox on Vector, as tested in Fa WP (from which the screenshot was obtained).

Clicking the notification should take you to the actual message. Once that page with the message is loaded, the notification is marked as read.
Is that not happening?

It does take me to the page, but that does not result in the item getting marked as read or the counter being reduced by 1.

It does take me to the page, but that does not result in the item getting marked as read or the counter being reduced by 1.

Does the counter update correctly if you refresh the page?

Also, can you check if this is still happening? The new Echo layout will be redeployed to Wikipedias tomorrow.

Catrope triaged this task as High priority.Sep 23 2015, 11:37 PM
Huji added a comment.Sep 24 2015, 3:09 AM

It does take me to the page, but that does not result in the item getting marked as read or the counter being reduced by 1.

Does the counter update correctly if you refresh the page?

Yes, a refresh fixes it.

Also, can you check if this is still happening? The new Echo layout will be redeployed to Wikipedias tomorrow.

It happens right now. I will check back tomorrow as well to see if it changes.

Huji added a comment.Sep 25 2015, 2:32 PM

Tested again: now the yellow badge for new messages DOES disappear when you click on the item in the notification drop-down, but the counter still DOES NOT decrease by 1.

Mattflaschen-WMF renamed this task from Clicking on an item in the Echo menu doesn't mark them as read anymore to Add 'target-page' for edit-user-talk.Sep 25 2015, 6:37 PM

This is the same mechanism we use to auto-mark-as-read Flow messages when you visit the Flow board.

I cannot reproduce this issue. Here's what I do, let me know if I'm missing something:

  1. User 1 creates a new Flow topic on User 2's talk page
  2. User 2 logs in and sees
  3. User 2 clicks on the 'messages' notification icon and clicks on the only unread notification
  4. User 2's talk page is displayed and there is no more unread notifications
Huji added a comment.Sep 28 2015, 8:55 PM

The steps are correct. Yet I did exactly that right now on Persian Wikipedia and I ended up with this (note that numbers are localized but you can tell there is 1 where it should be a zero):

Huji added a comment.Sep 28 2015, 8:56 PM

In other words, its background changes from blue to grey but the number is still 1 until I refresh the page (or go to any other page for that matter).

Change 242123 had a related patch set uploaded (by Sbisson):
Add target-page to edit-user-talk to dismiss notification

https://gerrit.wikimedia.org/r/242123

Change 242123 merged by jenkins-bot:
Add target-page to edit-user-talk to dismiss notification

https://gerrit.wikimedia.org/r/242123

  1. the issue is reproduced(the screencast is attached) on https://fa.wikibooks.org/wiki/%D8%A8%D8%AD%D8%AB_%DA%A9%D8%A7%D8%B1%D8%A8%D8%B1:Zilant17#.D8.AE.D9.88.D8.B4_.D8.A2.D9.85.D8.AF.DB.8C.D8.AF

wikibooks posts 'Welcome new user' message on User talk page - other wikis do it differently: no reference to User talk page and the icon is different.

  1. I checked the fix on http://fa.wikipedia.beta.wmflabs.org/w/index.php?title=%D8%A8%D8%AD%D8%AB_%DA%A9%D8%A7%D8%B1%D8%A8%D8%B1:Etonkovidova&gettingStartedReturn=true. The new user 'Welcome' message is the same style as in wikibooks (as in #1).

  • a user clicks on Messages - the background turns grey
  • a user clicks on the Welcome message - the Welcome message redirects to User talk page and the counter becomes 0.
DannyH closed this task as Resolved.Sep 30 2015, 4:57 PM
DannyH added a subscriber: DannyH.
Huji reopened this task as Open.Oct 10 2015, 6:43 PM

Reopening this, because the issue is NOT resolved. What I reported above still happens in En WP, Fa WP, etc.

Huji closed this task as Resolved.Oct 29 2015, 11:23 PM

Closing it as it now appears to have been actually resolved.